Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.xquery.dm
Class NodeSequenceBase

    java.lang.Object
      |
      +--net.xfra.qizxopen.xquery.dt.BaseValue
            |
            +--net.xfra.qizxopen.xquery.dm.NodeSequenceBase

All Implemented Interfaces:
  Item, Value

Direct Known Subclasses:
  DistinctNodeSequence

public abstract class NodeSequenceBase
extends net.xfra.qizxopen.xquery.dt.BaseValue

Nested Class Summary

Nested classes inherited from class net.xfra.qizxopen.xquery.Value
`Value.Empty`

Field Summary

Fields inherited from interface net.xfra.qizxopen.xquery.Value
`empty`

Fields inherited from interface net.xfra.qizxopen.xquery.Item
`INCOMPARABLE`

Constructor Summary
`NodeSequenceBase()`

Method Summary
`Item` | `asAtom()` Gets the current item with atomization.
`boolean` | `asBoolean()` Gets the item as a boolean value (optimisable).
`double` | `asDouble()` Gets the item as a double value (optimisable).
`long` | `asInteger()` Gets the item as a integer value (optimisable).
`Item` | `asItem()` Gets the current item (undefined result if end of sequence reached).
`abstract Node` | `asNode()` Gets the item as a Node value (optimisable).
`java.lang.String` | `asString()` Gets the item as a String value (optimisable).
`int` | `compareTo(Item that, java.text.Collator collator, int implicitTimeZone)` Compares two items.
`ItemType` | `getType()` Returns the type description.
`boolean` | `isNode()` Tests whether the item is a Node.

Methods inherited from class net.xfra.qizxopen.xquery.dt.BaseValue
`asDecimal, asFloat, deepEqual, nextCollection, notWorthExpanding, setLazy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.xfra.qizxopen.xquery.Value
`bornAgain, next`

Constructor Detail

### NodeSequenceBase

    public NodeSequenceBase()

Method Detail

### getType

    public ItemType getType()

  Description copied from interface: `Item`
  Returns the type description.

  Specified by:
    `getType` in interface `Item`
  Overrides:
    `getType` in class `net.xfra.qizxopen.xquery.dt.BaseValue`

### isNode

    public boolean isNode()

  Description copied from interface: `Item`
  Tests whether the item is a Node.

  Specified by:
    `isNode` in interface `Item`
  Overrides:
    `isNode` in class `net.xfra.qizxopen.xquery.dt.BaseValue`

### asNode

    public abstract Node asNode()
                         throws TypeException

  Description copied from interface: `Item`
  Gets the item as a Node value (optimisable).

  Specified by:
    `asNode` in interface `Item`
  Overrides:
    `asNode` in class `net.xfra.qizxopen.xquery.dt.BaseValue`
    `TypeException`

### asItem

    public Item asItem()
                throws TypeException

  Description copied from interface: `Value`
  Gets the current item (undefined result if end of sequence reached).

    `TypeException`

### asAtom

    public Item asAtom()
                throws TypeException

  Description copied from interface: `Value`
  Gets the current item with atomization. If the current item is a Node, it is transparently transformed into a sequence of atomic values (in the future non Basic implementation), or simply to its string value (XQ Basic).

  Specified by:
    `asAtom` in interface `Value`
  Overrides:
    `asAtom` in class `net.xfra.qizxopen.xquery.dt.BaseValue`
    `TypeException`

### asBoolean

    public boolean asBoolean()
                      throws TypeException

  Description copied from interface: `Item`
  Gets the item as a boolean value (optimisable).

  Specified by:
    `asBoolean` in interface `Item`
  Overrides:
    `asBoolean` in class `net.xfra.qizxopen.xquery.dt.BaseValue`
    `TypeException`

### asString

    public java.lang.String asString()
                              throws TypeException

  Description copied from interface: `Item`
  Gets the item as a String value (optimisable).

  Specified by:
    `asString` in interface `Item`
  Overrides:
    `asString` in class `net.xfra.qizxopen.xquery.dt.BaseValue`
    `TypeException`

### asInteger

    public long asInteger()
                   throws TypeException

  Description copied from interface: `Item`
  Gets the item as a integer value (optimisable).

  Specified by:
    `asInteger` in interface `Item`
  Overrides:
    `asInteger` in class `net.xfra.qizxopen.xquery.dt.BaseValue`
    `TypeException`

### asDouble

    public double asDouble()
                    throws TypeException

  Description copied from interface: `Item`
  Gets the item as a double value (optimisable).

  Specified by:
    `asDouble` in interface `Item`
  Overrides:
    `asDouble` in class `net.xfra.qizxopen.xquery.dt.BaseValue`
    `TypeException`

### compareTo

    public int compareTo(Item that,
                         java.text.Collator collator,
                         int implicitTimeZone)
                  throws TypeException

  Description copied from interface: `Item`
  Compares two items. if items are equal, returns 0, if no order is defined, or items are of different nature, returns INCOMPARABLE, if this < that return -1, if this > that return 1.

    `TypeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD